function y = matvecFortran(A,x)
%   function that computes the matrix-vector product using a Fortran 
%   convention i.e. y is a linear combination of the columns of A using
%   x as weights
%   input: A matrix of size m times n
%          x column vector size n times 1
%   output: y column vector size m times 1
%           such that y = Ax

    % obtain the size of A
    [m,n] = size(A);

    % create vector of zeros
    y = zeros(m,1);

    %for loop 
    for j=1:n
        y = y + x(j)*A(:,j);
    end
end

